Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network170.2.16.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
170.2.16.0
Broadcast address
170.2.31.255
First usable
170.2.16.1
Last usable
170.2.31.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex AA021000 · Integer 2852261888 to 2852265983
Reverse DNS zones
16.2.170.in-addr.arpa
17.2.170.in-addr.arpa
18.2.170.in-addr.arpa
19.2.170.in-addr.arpa
20.2.170.in-addr.arpa
21.2.170.in-addr.arpa
22.2.170.in-addr.arpa
23.2.170.in-addr.arpa
24.2.170.in-addr.arpa
25.2.170.in-addr.arpa
26.2.170.in-addr.arpa
27.2.170.in-addr.arpa
28.2.170.in-addr.arpa
29.2.170.in-addr.arpa
30.2.170.in-addr.arpa
31.2.170.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101010.00000010.00010000.00000000170.2.16.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10101010.00000010.00010000.00000000170.2.16.0
Broadcast10101010.00000010.00011111.11111111170.2.31.255
Split into smaller subnets/26

170.2.16.0/20 makes 64 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1170.2.16.0/26170.2.16.1 to 170.2.16.62170.2.16.6362
2170.2.16.64/26170.2.16.65 to 170.2.16.126170.2.16.12762
3170.2.16.128/26170.2.16.129 to 170.2.16.190170.2.16.19162
4170.2.16.192/26170.2.16.193 to 170.2.16.254170.2.16.25562
5170.2.17.0/26170.2.17.1 to 170.2.17.62170.2.17.6362
6170.2.17.64/26170.2.17.65 to 170.2.17.126170.2.17.12762
7170.2.17.128/26170.2.17.129 to 170.2.17.190170.2.17.19162
8170.2.17.192/26170.2.17.193 to 170.2.17.254170.2.17.25562
9170.2.18.0/26170.2.18.1 to 170.2.18.62170.2.18.6362
10170.2.18.64/26170.2.18.65 to 170.2.18.126170.2.18.12762
11170.2.18.128/26170.2.18.129 to 170.2.18.190170.2.18.19162
12170.2.18.192/26170.2.18.193 to 170.2.18.254170.2.18.25562
13170.2.19.0/26170.2.19.1 to 170.2.19.62170.2.19.6362
14170.2.19.64/26170.2.19.65 to 170.2.19.126170.2.19.12762
15170.2.19.128/26170.2.19.129 to 170.2.19.190170.2.19.19162
16170.2.19.192/26170.2.19.193 to 170.2.19.254170.2.19.25562
17170.2.20.0/26170.2.20.1 to 170.2.20.62170.2.20.6362
18170.2.20.64/26170.2.20.65 to 170.2.20.126170.2.20.12762
19170.2.20.128/26170.2.20.129 to 170.2.20.190170.2.20.19162
20170.2.20.192/26170.2.20.193 to 170.2.20.254170.2.20.25562
21170.2.21.0/26170.2.21.1 to 170.2.21.62170.2.21.6362
22170.2.21.64/26170.2.21.65 to 170.2.21.126170.2.21.12762
23170.2.21.128/26170.2.21.129 to 170.2.21.190170.2.21.19162
24170.2.21.192/26170.2.21.193 to 170.2.21.254170.2.21.25562
25170.2.22.0/26170.2.22.1 to 170.2.22.62170.2.22.6362
26170.2.22.64/26170.2.22.65 to 170.2.22.126170.2.22.12762
27170.2.22.128/26170.2.22.129 to 170.2.22.190170.2.22.19162
28170.2.22.192/26170.2.22.193 to 170.2.22.254170.2.22.25562
29170.2.23.0/26170.2.23.1 to 170.2.23.62170.2.23.6362
30170.2.23.64/26170.2.23.65 to 170.2.23.126170.2.23.12762
31170.2.23.128/26170.2.23.129 to 170.2.23.190170.2.23.19162
32170.2.23.192/26170.2.23.193 to 170.2.23.254170.2.23.25562
33170.2.24.0/26170.2.24.1 to 170.2.24.62170.2.24.6362
34170.2.24.64/26170.2.24.65 to 170.2.24.126170.2.24.12762
35170.2.24.128/26170.2.24.129 to 170.2.24.190170.2.24.19162
36170.2.24.192/26170.2.24.193 to 170.2.24.254170.2.24.25562
37170.2.25.0/26170.2.25.1 to 170.2.25.62170.2.25.6362
38170.2.25.64/26170.2.25.65 to 170.2.25.126170.2.25.12762
39170.2.25.128/26170.2.25.129 to 170.2.25.190170.2.25.19162
40170.2.25.192/26170.2.25.193 to 170.2.25.254170.2.25.25562
41170.2.26.0/26170.2.26.1 to 170.2.26.62170.2.26.6362
42170.2.26.64/26170.2.26.65 to 170.2.26.126170.2.26.12762
43170.2.26.128/26170.2.26.129 to 170.2.26.190170.2.26.19162
44170.2.26.192/26170.2.26.193 to 170.2.26.254170.2.26.25562
45170.2.27.0/26170.2.27.1 to 170.2.27.62170.2.27.6362
46170.2.27.64/26170.2.27.65 to 170.2.27.126170.2.27.12762
47170.2.27.128/26170.2.27.129 to 170.2.27.190170.2.27.19162
48170.2.27.192/26170.2.27.193 to 170.2.27.254170.2.27.25562
49170.2.28.0/26170.2.28.1 to 170.2.28.62170.2.28.6362
50170.2.28.64/26170.2.28.65 to 170.2.28.126170.2.28.12762
51170.2.28.128/26170.2.28.129 to 170.2.28.190170.2.28.19162
52170.2.28.192/26170.2.28.193 to 170.2.28.254170.2.28.25562
53170.2.29.0/26170.2.29.1 to 170.2.29.62170.2.29.6362
54170.2.29.64/26170.2.29.65 to 170.2.29.126170.2.29.12762
55170.2.29.128/26170.2.29.129 to 170.2.29.190170.2.29.19162
56170.2.29.192/26170.2.29.193 to 170.2.29.254170.2.29.25562
57170.2.30.0/26170.2.30.1 to 170.2.30.62170.2.30.6362
58170.2.30.64/26170.2.30.65 to 170.2.30.126170.2.30.12762
59170.2.30.128/26170.2.30.129 to 170.2.30.190170.2.30.19162
60170.2.30.192/26170.2.30.193 to 170.2.30.254170.2.30.25562
61170.2.31.0/26170.2.31.1 to 170.2.31.62170.2.31.6362
62170.2.31.64/26170.2.31.65 to 170.2.31.126170.2.31.12762
63170.2.31.128/26170.2.31.129 to 170.2.31.190170.2.31.19162
64170.2.31.192/26170.2.31.193 to 170.2.31.254170.2.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses